function [y1,y2] = pred_constr(x,surr)
datamodelsetup = surr.model_data;
datamodel = datamodelsetup.model;
typemodel = datamodelsetup.type;
typeset = typemodel(2:end);
modelset = datamodel(2:end);
y1 = zeros(1,length(modelset));
x = normalize(surr, x);
for i = 1:length(typeset)
    type = typeset{i};
    model = modelset{i};
    ptype = type;
    pred_func = strcat(ptype, '_predict');
    y1(:,i) = feval(pred_func, x, model);
end
y2 = [];
end