function [X_loc,F_loc] = run_sqp(x0,surr,param,prob,range)
options = optimoptions('fmincon','Algorithm','sqp','display','off','OutputFcn',@outfun);
lb = range(:,1)';
ub = range(:,2)';
tic;
x_star = fmincon(@(x)pred_obj(x,surr),x0,[],[],[],[],lb,ub,[],options);

f_star = pred_obj(x_star,surr);
%g_star = pred_constr(x_star,surr);
if sum((x_star - x0) == 0,2) == size(x_star,2)
    [X_loc,F_loc] = run_subea(x0,surr,param,prob,range);
else
    X_loc = x_star;
    F_loc = f_star; 
    %G_loc = g_star;
end
end

function stop = outfun(x,optimValues,state) 
stop = false;
if toc > 300 
stop = true; 
disp('Stopping, time > 300sec') 
end
end