function [f,g] = MaF1(objnum,x)
if nargin <= 1
    prob.nf = objnum;
    prob.ng = 0;
    prob.nx = 3*prob.nf;
    prob.cast = [];
    for i = 1:prob.nx
        prob.range(i,:) = [0,1];
    end
    f = prob;
    g = [];
else
    [f,g] = MaF1_true(x,objnum);
end
return

function [f,g] = MaF1_true(PopDec,objnum)
M      = objnum;
g      = sum((PopDec(:,M:end)-0.5).^2,2);
f = repmat(1+g,1,M) - repmat(1+g,1,M).*fliplr(cumprod([ones(size(g,1),1),PopDec(:,1:M-1)],2)).*[ones(size(g,1),1),1-PopDec(:,M-1:-1:1)];
g = [];
return
