function [f,g] = MaF3_a(objnum,x)
if nargin <= 1
    prob.nf = objnum;
    prob.ng = 0;
    prob.nx = 3*prob.nf;
    prob.cast = [];
    for i = 1:prob.nx
        prob.range(i,:) = [0,1];
    end
    f = prob;
    g = [];
else
    [f,g] = MaF3_a_true(x,objnum);
end
return

function [f,gg] = MaF3_a_true(PopDec,objnum)
M      = objnum;
g      = (size(PopDec,2)-M+1+sum((PopDec(:,M:end)-0.5).^2-cos(2.*pi.*(PopDec(:,M:end)-0.5)),2));
f = repmat(1+g,1,M).*fliplr(cumprod([ones(size(g,1),1),cos(PopDec(:,1:M-1)*pi/2)],2)).*[ones(size(g,1),1),sin(PopDec(:,M-1:-1:1)*pi/2)];
f = [f(:,1:M-1).^4,f(:,M).^2];
gg = [];
return